## python-debian 0.1.1ubuntu2

=== debian/changelog ===
python-debian (0.1.1ubuntu2) feisty; urgency=low

  * fetch patch from upstream for supporting '~' in version numbers

 -- Reinhard Tartler <siretart@tauware.de>  Sun,  4 Feb 2007 18:05:27 +0100

python-debian (0.1.1ubuntu1) feisty; urgency=low

  * Merge new debian upload. Remaining changes:
    - Build-depend on python-dev.
    - debian/rules: remove deb822.py from python2.5 dirs instead of 
      python2.4 dirs, since that's the default in feisty for now. 
      fixes FTBFS
  * fix warnings with python2.5: don't use 'with' as variable name

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 30 Jan 2007 23:44:29 +0100

python-debian (0.1.1) unstable; urgency=low

  [ John Wright ]
  * changelog.py:
    - Version class:
      + Subclass debian_support.Version, for rich comparison
      + Changing any attribute now automatically updates any other affected
        attribute (i.e. changing full_version will update all of the other
        attributes; changing debian_version will update full_version)
    - Changelog class:
      + Many "getter" and "setter" methods were replaced with properties (so
        they appear as regular object attributes).  Most set_* methods remain
        for compatibility, and they're the actual set methods for the
        properties anyway.  Please see README.changelog.
      + You can now assign a string to the version attribute, and it will be
        coerced into a Version object

  [ James Westby ]
  * changelog.py:
    - Added a method to write the changelog to an open file.
    - Allow single digit day with no extra space in the endline of a
      changelog. Hopefully this wont allow things to be parsed that will
      be rejected by the more important tools. It does allow more files
      to be parsed and used, and I'm not entirely sure what is right.
    - Allow uppercase characters in the version number when parsing
      changelogs. Thanks to Jelmer Vernooij for the report and the fix.
  * README.changelog:
    - Update the documentation to reflect the changes mentioned above
  * Add debian/NEWS to warn of the API changes.

  [ Enrico Zini ]
  * debtags.py:
    - Added various methods after the work on the inferrer of tag
      relationships
    - Added tagminer and pkgwalk examples

 -- James Westby <jw+debian@jameswestby.net>  Tue, 30 Jan 2007 20:56:44 +0000

python-debian (0.1.0ubuntu2) feisty; urgency=low

  * debian/rules: remove deb822.py from python2.5 dirs, since that's the
    default in feisty for now. fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Jan 2007 20:45:57 +0100

python-debian (0.1.0ubuntu1) feisty; urgency=low

  * Build-depend on python-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Jan 2007 18:09:03 +0100

python-debian (0.1.0) experimental; urgency=low

  * Initial release. (Closes: #381599)

 -- James Westby <jw+debian@jameswestby.net>  Tue, 15 Aug 2006 18:57:57 +0100
