=== debian/control ===
Source: python-debian
Section: devel
Priority: optional
Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders: Adeodato Simó <dato@net.com.org.es>, Enrico Zini <enrico@debian.org>, James Westby <jw+debian@jameswestby.net>
Build-Depends: debhelper (>= 5.0.37.2), python-dev
Build-Depends-Indep: python-support (>= 0.3)
Standards-Version: 3.7.2

Package: python-debian
Architecture: all
Depends: ${python:Depends}
Description: python modules to work with Debian-related data formats
 This package provides python modules that abstract many formats of Debian 
 related files. Currently handled are:
  * Debtags information.
  * debian/changelog.
