## python-debian 0.1.5

=== debian/changelog ===
python-debian (0.1.5) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debfile.py
    - do not fail if extra ar members exist in a .deb, according to deb(5)
      extra ar members should be ignored (Closes: #438486). Also add the
      corresponding regression test to test_debfile.py
    - support both the (buggy) file naming scheme for TarFile of python << 2.5
      (e.g. "control") and of python >= 2.5 (e.g. "./control"). In addition,
      enable users to specify file members in three equivalent formats:
      "file", "./file", and "/file" (Closes: #438603)
  * deb822.py
    - add a deprecation warning (printed on stderr) when accessing the module
      as a top-level one; it should be rather used as "debian_bundle.deb822"

  [ John Wright ]
  * examples/debfile/ar, examples/debfile/changelog_head,
    examples/debfile/dpkg-info, examples/debfile/extract_cron:
    - Fix ImportError caused by importing modules as if they were top-level
      modules, rather than modules in the debian_bundle package
      (Closes: #438428)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 19 Aug 2007 09:38:20 +0200

python-debian (0.1.4) unstable; urgency=low

  [ James Westby ]
  * changelog.py
    - Add allow_empty_author option to changelog to allow the author line
      to have no information.

  [ Stefano Zacchiroli ]
  * debian/control
    - joining the team: add myself as an uploader
    - add Vcs-Bzr field pointing to our Bzr repository on bzr.debian.org
  * arfile.py / debfile.py
    - new modules implementing (read-only) dpkg-deb like access to .deb
      packages; when possible, access to information contained in .deb is made
      available via other debian_bundle classes (e.g. Changelog, Deb822, ...)
    - code contributed by Stefano Zacchiroli and Filippo Giunchedi
    - corresponding examples in examples/debfile
  * debian_support.py
    - yield dictionaries instead of tuples in Packages parsing and normalize
      to lower case 822 field names (Closes: #431087)
    - no longer require a space after a ':' in RFC 822 fields; fix bogus
      parse errors of Packages-like file with PackageFile() class
  * examples/
    - added grep-maintainer example to show the Packages parsing API

  [ John Wright ]
  * debian_bundle/deb822.py, debian_bundle/test_deb822.py, deb822.py:
    - Import latest version of deb822, and create a "dummy" top-level module
      for compatibility
    - For multiline fields that start with a newline (e.g. Files in a .dsc,
      MD5Sum in Release files), the line with the "Field:" should not end in
      trailing whitespace.  Fixed and added test cases.
  * setup.py:
    - The version wasn't getting updated, so I've renamed it to setup.py.in,
      and added a __CHANGELOG_VERSION__ placeholder
  * debian/rules:
    - Generate generate setup.py from setup.py.in, filling in the version
      information from debian/changelog
    - No longer delete deb822 files
  * debian/control:
    - Add myself as an uploader
    - Add Provides, Conflicts, and Replaces fields for python-deb822
    - When describing features, mention which modules they are implemented in
  * HISTORY.deb822, debian/docs:
    - Install old changelog for deb822 as
      /usr/share/doc/python-debian/HISTORY.deb822
  * debian_bundle/changelog.py:
    - Accept numbers, '+', and '.' in the distribution field, to match dpkg's
      behavior

 -- John Wright <jsw@debian.org>  Sun,  5 Aug 2007 00:41:24 -0600

python-debian (0.1.3) unstable; urgency=low

  [ James Westby ]
  * changelog.py
    - Add max_blocks parameter to Changelog constructor. This limits the
      number of blocks that will be parsed to that number. If you only need
      the latest entry then pass max_blocks=1 and you will only have one
      block. This is also useful to avoid trying to parse old changelog
      entries that don't follow the current format. (Closes: #429357)

  [ Reinhard Tartler ]
  * debian_bundle/changelog.py: don't fail if a changelog block is not
    parseable. Just return all changelog blocks we've been able to parse
    so far. (Closes: #429299)

 -- James Westby <jw+debian@jameswestby.net>  Sun, 17 Jun 2007 13:25:20 +0100

python-debian (0.1.2) unstable; urgency=low

  [ James Westby ]
  * debian_support.py
    - Support ~ in version numbers when python-apt is not installed.
  * Turn on the testsuites of changelog.py, and debtags.py in the build.
  * debtags.py
    - Rename with to with_ to avoid a warning on python2.5 as with will be
      a keyword in 2.6. (Closes: #409333)
  * Suggest python-apt and mention why in the README.

  [Reinhard Tartler]
  * Fix the regex matching the end line of a debian/changelog. Using
    improved regex contributed by Francois-Denis Gonthier, thanks!
    (Closes: #410880)
  * disable python_support.py testrun, it is missing in the branch.
  * add myself to uploaders.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Jun 2007 19:54:13 +0100
