## python-debian 0.1.9

=== debian/changelog ===
python-debian (0.1.9) unstable; urgency=low

  * Promote python-apt from Suggests to Recommends. (Closes: #462845)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 06 Feb 2008 15:36:02 +0100

python-debian (0.1.8) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Move tests to a separate subdirectory.

  [ Stefano Zacchiroli ]
  * Add examples dir for deb822 with a simple example.

  [ Adeodato Simó ]

  * Sync debian_support.py with the latest version from the secure-testing
    repository. Note that this removes support for version comparison without
    apt_pkg. (Our copy was modified in 0.1.2 to *accept* ~ in version strings,
    but comparison without apt_pkg was already broken by then.)

    Also, undo the change introduced for #431087, since we shouldn't be
    keeping incompatible versions of debian_support.py around, plus the
    desired functionality in that bug report is best provided by the deb822
    module. (Closes: #457697, #457854)

  * While rewriting the grep-maintainer example to use deb822.Packages to
    accommodate the above change, make it cope with stanzas without a
    maintainer field as well. (Closes: #457855)

  * Fix dump() method of deb822._multivalued. (Closes: #457929)

  * Small improvements to the exception handling in the grep-maintainer
    example.

  * Bump Standards-Version to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 28 Dec 2007 19:46:13 +0100

python-debian (0.1.7) unstable; urgency=low

  [ John Wright ]
  * debian_bundle/deb822.py, debian_bundle/test_deb822.py
    - Bug fix: Allow fields with blank (empty string) values.  Previously,
      these were parsed fine, but if you tried to dump the resulting Deb822
      object, you'd get an IndexError (because of how we handled fields whose
      values start with newlines).  Added a test case.
    - Fix the copy method of Deb822Dict so that it returns an object of the
      same type, rather than explicitly instantiating Deb822Dict (so that
      subclasses like Deb822 can directly use the copy method and have it "just
      work").  Added a test case.

  [ Stefano Zacchiroli ]
  * debian/control
    - mention the debfile module in the long description
    - promote Vcs-Bzr to a real field, now that dpkg supports it

 -- John Wright <jsw@debian.org>  Tue, 27 Nov 2007 16:25:33 -0700

python-debian (0.1.6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debfile.py
    - bugfix: make md5sums top-level method acts as a proxy instead of
      returning a method
    - bugfix: use readlines() to iterate over the md5sums file since direct
      iteration on files is available only in python >= 2.5 (closes: #438804)
    - bugfix: support spaces in filenames when accessing md5sums; thanks to
      Romain Francoise for the patch (closes: #438909)

  [ John Wright ]
  * debian/pyversions:
    - Since there are some Python 2.4-isms in this package, support only Python
      >= 2.4, rather than all versions (Closes: #438920)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 10:12:20 +0200
