=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Adeodato Simó <dato@net.com.org.es>, Enrico Zini <enrico@debian.org>, James Westby <jw+debian@jameswestby.net>, Reinhard Tartler <siretart@tauware.de>, Stefano Zacchiroli <zack@debian.org>, John Wright <jsw@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python
 Build-Depends-Indep: python-support (>= 0.3)
-Standards-Version: 3.7.2
-XS-Vcs-Bzr: http://bzr.debian.org/pkg-python-debian/trunk/
+Standards-Version: 3.7.3
+Vcs-Bzr: http://bzr.debian.org/pkg-python-debian/trunk/
 
 Package: python-debian
 Architecture: all
 Depends: ${python:Depends}
-Suggests: python-apt
+Recommends: python-apt
 Provides: python-deb822
 Conflicts: python-deb822
 Replaces: python-deb822
@@ -24,3 +24,6 @@
   * Control files of single or multple RFC822-style paragraphs, e.g
     debian/control, .changes, .dsc, Packages, Sources, Release, etc.
     (debian_bundle.deb822 module)
+  * Raw .deb and .ar files, with (read-only) access to contained
+    files and meta-information
+
