=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders: Adeodato Simó <dato@net.com.org.es>,
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -18,6 +19,7 @@
 Architecture: all
 Depends: ${python:Depends}
 Recommends: python-apt
+Suggests: gpgv
 Provides: python-deb822
 Conflicts: python-deb822
 Replaces: python-deb822
