=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  Stefano Zacchiroli <zack@debian.org>,
  John Wright <jsw@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), python
+Build-Depends: debhelper (>= 5.0.37.2), python, python-setuptools
 Build-Depends-Indep: python-support (>= 0.3)
 Standards-Version: 3.8.1
 Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git
