## python-debian 0.1.14ubuntu1

=== debian/changelog ===
python-debian (0.1.14ubuntu1) karmic; urgency=low

  * Add .lzma as a possible extenstion for data.tar (LP: #407198)
    Note that this does not mean that reading from the .lzma part
    is supported. This is blocked on http://bugs.python.org/issue5689

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 11:08:07 +0200
