## python-debian 0.1.14ubuntu2

=== debian/changelog ===
python-debian (0.1.14ubuntu2) lucid; urgency=low

  * Depend on python-apt as debian_support uses it unconditionally.

 -- James Westby <james.westby@ubuntu.com>  Wed, 13 Jan 2010 15:58:18 +1300
