=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
 
 Package: python-debian
 Architecture: all
-Depends: ${python:Depends}
-Recommends: python-apt
+Depends: ${python:Depends}, python-apt
 Suggests: gpgv
 Provides: python-deb822
 Conflicts: python-deb822
