=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  John Wright <jsw@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python, python-setuptools
 Build-Depends-Indep: python-support (>= 0.3)
-Standards-Version: 3.8.1
+Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git
 Vcs-Git: git://git.debian.org/git/pkg-python-debian/python-debian.git
 
@@ -20,17 +20,17 @@
 Depends: ${python:Depends}, python-apt
 Suggests: gpgv
 Provides: python-deb822
-Conflicts: python-deb822
+Conflicts: python-deb822, python-apt (<< 0.7.94~)
 Replaces: python-deb822
 Description: Python modules to work with Debian-related data formats
  This package provides Python modules that abstract many formats of Debian 
  related files. Currently handled are:
-  * Debtags information (debian_bundle.debtags module)
-  * debian/changelog (debian_bundle.changelog module)
-  * Packages files, pdiffs (debian_bundle.debian_support module)
+  * Debtags information (debian.debtags module)
+  * debian/changelog (debian.changelog module)
+  * Packages files, pdiffs (debian.debian_support module)
   * Control files of single or multiple RFC822-style paragraphs, e.g.
     debian/control, .changes, .dsc, Packages, Sources, Release, etc.
-    (debian_bundle.deb822 module)
+    (debian.deb822 module)
   * Raw .deb and .ar files, with (read-only) access to contained
     files and meta-information
