## python-debian 0.1.18

=== debian/changelog ===
python-debian (0.1.18) unstable; urgency=low

  * Support installation together with older versions of python-apt.
    Original patch by Jelmer Vernooij. (Closes: #590805)

 -- John Wright <jsw@debian.org>  Wed, 04 Aug 2010 01:16:52 -0700

python-debian (0.1.17) unstable; urgency=low

  [ James Westby ]
  * Use os.path.normpath to hide python version differences

  [ John Wright ]
  * test_deb822.py: Make test_gpg_info more robust (Closes: #582878)
  * deb822: Use chardet to try to detect character encodings as necessary
    - This is only used when the specified encoding doesn't work.  It's mainly
      useful for files containing multiple deb822 paragraphs with mixed
      encodings, like etch's Sources file. (Closes: #586021)

 -- John Wright <jsw@debian.org>  Sun, 25 Jul 2010 02:07:11 -0700
