## python-debian 0.1.18ubuntu2

=== debian/changelog ===
python-debian (0.1.18ubuntu2) natty; urgency=low

  * debian/rules:
    - workaround incorrect permissions in upstream tarball
      (fixes ftbfs)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Dec 2010 17:23:18 +0100

python-debian (0.1.18ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add .lzma as a possible extenstion for data.tar (LP: #407198)
      Note that this does not mean that reading from the .lzma part
      is supported. This is blocked on http://bugs.python.org/issue5689

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Oct 2010 15:43:11 +0200
