=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,13 @@
 	python setup.py build
 	
 	# run the tests
-	cd tests && \
-		for f in deb822 debfile debtags; do \
-			./test_$$f.py ; \
-		done 
+	cd tests && ./test_deb822.py
+	cd tests && python ./test_debfile.py
+	cd tests && ./test_debtags.py
+	cd tests && ./test_changelog.py
+	cd tests && ./test_debian_support.py
 
-	#python debian_bundle/python_support.py
-	debian_bundle/doc-debtags > README.debtags
+	lib/debian/doc-debtags > README.debtags
 
 	touch $@
 
@@ -34,9 +34,11 @@
 
 	# Add here commands to clean up after the build process.
 	python setup.py clean
+	rm -rf lib/python_debian.egg-info
 	rm -rf build/
 	rm -f README.debtags
 	rm -f setup.py
+	find lib/debian -type f -name '*.pyc' -exec rm {} \;
 
 	dh_clean
